/// @description Handling API callbacks


if (async_load[? "id"] = "LaggedAPIEvent")
{
	//show_debug_message(async_load[? "event_type"])
	switch (async_load[? "event_type"])
	{
		//STANDARD ADS
		case "ad_watched":
			//TODO: LOGIC HERE
			show_debug_message("Ad watched!")
			break
			
		//ACHIEVEMENTS
		case "achievement_save_success":
			//TODO: LOGIC HERE
			show_debug_message("Achievement saved!")
			break
			
		case "achievement_save_error":
			//TODO: LOGIC HERE
			show_debug_message("Could not save the achievement.")
			break

		//HIGH SCORES
		case "high_score_save_success":
			//TODO: LOGIC HERE
			show_debug_message("High score saved!")
			break
			
		case "high_score_save_error":
			show_debug_message("Could not save the high score.")
			//TODO: LOGIC HERE
			break
				
		//REWARDED ADS
		case "rewarded_ad_available":
			//TODO: LOGIC HERE	
			rewardedAdPrepared = true
			show_debug_message("A rewarded ad is available to watch.")
			break
			
		case "rewarded_ad_unavailable":
			//TODO: LOGIC HERE
			rewardedAdPrepared = false
			show_debug_message("A rewarded ad is not available to watch.")
			break
		
		case "rewarded_ad_watched":
			//TODO: LOGIC HERE
			show_debug_message("A rewarded ad has been watched.")
			break
			
		case "rewarded_ad_not_watched":
			//TODO: LOGIC HERE
			show_debug_message("A rewarded ad has not been watched.")
			break
	}
}